org.apache.cassandra.db.commitlog

## Class CommitLogSegment.CommitLogSegmentFileComparator

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogSegment.CommitLogSegmentFileComparator

All Implemented Interfaces:
  java.util.Comparator<java.io.File>

Enclosing class:
  CommitLogSegment

    public static class CommitLogSegment.CommitLogSegmentFileComparator
    extends java.lang.Object
    implements java.util.Comparator<java.io.File>

### Constructor Summary

Constructors
Constructor and Description
`CommitLogSegment.CommitLogSegmentFileComparator()`

### Method Summary

Methods
`int` `compare(java.io.File f, java.io.File f2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### CommitLogSegment.CommitLogSegmentFileComparator

    public CommitLogSegment.CommitLogSegmentFileComparator()

### Method Detail

#### compare

    public int compare(java.io.File f,
              java.io.File f2)

Specified by:
  `compare` in interface `java.util.Comparator<java.io.File>`